package com.cyksj.model.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/*
 *项目名: yhlxj
 *文件名: YhShopApplyRecord
 *创建者: JavaZou
 *创建时间:2023/9/21 10:36
 */
@Getter
@Setter
public class YhShopApplyRecord extends BaseEntity {
	/**
	 * 店主id
	 */
	private Long userId;

	/**
	 * 店铺名称
	 */
	private String name;

	/**
	 * 自定义id
	 */
	private String customId;

	/**
	 * 是否审核通过
	 */
	private Status verifyStatus;

	private Long businessId;

	/**
	 * 审核失败原因
	 */
	@TableField(updateStrategy = FieldStrategy.IGNORED)
	private String reason;

	private Date verifyTime;

	@Getter
	public enum Status {
		verify("审核中"),
		modify("申请修改"),
		success("审核通过"),
		fail("审核失败");
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}
}
